Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender

# Class DifferenceGroupExtenderRegistryImpl

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.extender.DifferenceGroupExtenderRegistryImpl

All Implemented Interfaces:
  `IDifferenceGroupExtender.Registry`

public class DifferenceGroupExtenderRegistryImpl extends Object implements IDifferenceGroupExtender.Registry
The default implementation of the `IDifferenceGroupExtender.Registry`.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`DifferenceGroupExtenderRegistryImpl()`
Constructs the registry.

## Method Summary

Modifier and Type
Method
Description
`IDifferenceGroupExtender`
`add(IDifferenceGroupExtender provider)`
Add to the registry the given `IDifferenceGroupExtender`.
`void`
`clear()`
Clear the registry.
`List<IDifferenceGroupExtender>`
`getExtenders()`
Returns the list of `IDifferenceGroupExtender` contained in the registry.
`IDifferenceGroupExtender`
`remove(String className)`
Remove from the registry the `IDifferenceGroupExtender` designated by the given `String` .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceGroupExtenderRegistryImpl

public DifferenceGroupExtenderRegistryImpl()
Constructs the registry.

## Method Details

### getExtenders

public List<IDifferenceGroupExtender> getExtenders()
Returns the list of `IDifferenceGroupExtender` contained in the registry.

Specified by:
  `getExtenders` in interface `IDifferenceGroupExtender.Registry`
Returns:
  The list of `IDifferenceGroupExtender` contained in the registry.
See Also:
  - `IDifferenceGroupExtender.Registry.getExtenders()`

### add

public IDifferenceGroupExtender add(IDifferenceGroupExtender provider)
Add to the registry the given `IDifferenceGroupExtender`.

Specified by:
  `add` in interface `IDifferenceGroupExtender.Registry`
Parameters:
  `provider` - The given `IDifferenceGroupExtender`.
Returns:
  The previous value associated with the class name of the given `IDifferenceGroupExtender`, or null if there was no entry in the registry for the class name.
See Also:
  - `(org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.extender.IDifferenceGroupExtender)`

### remove

public IDifferenceGroupExtender remove(String className)
Remove from the registry the `IDifferenceGroupExtender` designated by the given `String` .

Specified by:
  `remove` in interface `IDifferenceGroupExtender.Registry`
Parameters:
  `className` - The given `String` representing a `IDifferenceGroupExtender`.
Returns:
  The `IDifferenceGroupExtender` designated by the given `String`.
See Also:
  - `)`

### clear

public void clear()
Clear the registry.

Specified by:
  `clear` in interface `IDifferenceGroupExtender.Registry`
See Also:
  - `.Registry#clear()`